<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <div *ngFor="let element of elements">
            <p>{{element.displayName}}</p>
            <mat-card-subtitle>{{element.description}}</mat-card-subtitle>
            <ng-template #viewContainerRef></ng-template>
        </div>
        <div *ngIf="!elements">
            <p>Structure contains no elements</p>
        </div>
    </mat-card-content>
</mat-card>